-- This information tells other players more about the mod
name = "Rash"
description = "The Rage demon."
author = "Rash"
version = "2.0"

-- This is the URL name of the mod's thread on the forum; the part after the ? and before the first & in the url
forumthread = ""

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 10

-- Compatible with Don't Starve Together
dst_compatible = true

-- Not compatible with Don't Starve
dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true

-- Character mods are required by all clients
all_clients_require_mod = true 

icon_atlas = "modicon.xml"
icon = "modicon.tex"

-- The mod's tags displayed on the server list
server_filter_tags = {
"character",
}

configuration_options = {
    {
        name = "opness",
        label = "OP or not OP",
        options =
        {
            {description="OP", data = 1},
            {description="not OP", data = 2},
        },
        default = 2,
    },

    {
        name = "rash_immortal",
        label = "Immortality",
        options =
        {
            {description = "Yes!", data = true},
			{description = "No!", data = false},		
        },
        default = true,
	},
	
    {
        name = "rash_health",
        label = "Health",
        options =
        {
            {description = "150", data = 150},
            {description = "220", data = 220},			
            {description = "380", data = 380},
        },
        default = 380,
	},
	
    {
        name = "character_sound",
        label = "Sound?",
        options =
        {
            {description = "Yes!", data = true},
			{description = "No!", data = false},
        },
        default = true,
    },
	
	    {
        name = "rash_speed",
        label = "Speed",
        options =
        {
            {description = "*1.5", data = 1.5},
			{description = "*2.0", data = 2.0},
			{description = "*2.5", data = 2.5},
		    {description = "*3.7(DANGER)", data = 3.7},
        },
        default = 2.5,
    },
	
		    {
        name = "rash_hunger",
        label = "Hunger",
        options =
        {
		    {description = "1.3(EASY)", data = 1.3},
            {description = "2.0", data = 2.0},
			{description = "3.7(HARD)", data = 3.7},

        },
        default = 2.0,
    },
}


