local assets=
{ 
    Asset("ANIM", "anim/devastator.zip"),
	Asset("ANIM", "anim/swap_devastator.zip"),
	
    Asset("ATLAS", "images/inventoryimages/devastator.xml"),
    Asset("IMAGE", "images/inventoryimages/devastator.tex"),
}

local prefabs = 
{
	"rash"
}

--local function BladeGlow(inst, owner)
	--local I = inst
	--local v = owner.AnimState

    --I.glowing = true
	--v:OverrideSymbol("swap_object", "swap_devastator_1", "devastator_1")
	--inst.glowingblade = I:DoTaskInTime(.04, function() v:OverrideSymbol("swap_object", "swap_devastator_2", "devastator_2") end)
	--inst.glowingblade = I:DoTaskInTime(.08, function() v:OverrideSymbol("swap_object", "swap_devastator_3", "devastator_3") end)
	--inst.glowingblade = I:DoTaskInTime(.12, function() v:OverrideSymbol("swap_object", "swap_devastator_4", "devastator_4") end)
	--inst.glowingblade = I:DoTaskInTime(.16, function() v:OverrideSymbol("swap_object", "swap_devastator_5", "devastator_5") end)
	--inst.glowingblade = I:DoTaskInTime(.20, function() v:OverrideSymbol("swap_object", "swap_devastator_6", "devastator_6") end)
	--inst.glowingblade = I:DoTaskInTime(.24, function() v:OverrideSymbol("swap_object", "swap_devastator_7", "devastator_7") end)
	--inst.glowingblade = I:DoTaskInTime(.28, function() v:OverrideSymbol("swap_object", "swap_devastator_8", "devastator_8") end)
	--inst.glowingblade = I:DoTaskInTime(.32, function() v:OverrideSymbol("swap_object", "swap_devastator_9", "devastator_9") end)
	--inst.glowingblade = I:DoTaskInTime(.36, function() v:OverrideSymbol("swap_object", "swap_devastator_10", "devastator_10") end)
	--inst.glowingblade = I:DoTaskInTime(.40, function() v:OverrideSymbol("swap_object", "swap_devastator_11", "devastator_11") end)	
	--inst.glowingblade = I:DoTaskInTime(.44, function() v:OverrideSymbol("swap_object", "swap_devastator_12", "devastator_12") end)
--end

--local function LoopBladeGlow(inst, owner)
	--BladeGlow(inst, owner)
--end
	
local function OnEquip(inst, owner)
	owner.AnimState:OverrideSymbol("swap_object", "swap_devastator", "swap_devastator")
	owner.AnimState:Show("ARM_carry")
	owner.AnimState:Hide("ARM_normal")
	inst.Light:Enable(true)
	
	--if inst.bladeglowtask ~= nil then inst.bladeglowtask:Cancel() inst.glowing = nil end
	--inst.bladeglowtask = inst:DoPeriodicTask(.48, function() BladeGlow(inst, owner) end)
end

local function OnUnequip(inst, owner)
	owner.AnimState:Hide("ARM_carry")
	owner.AnimState:Show("ARM_normal")
	inst.Light:Enable(true)

	--if inst.glowingblade ~= nil then inst.glowingblade:Cancel() inst.glowingblade = nil end
	--if inst.bladeglowtask ~= nil then inst.bladeglowtask:Cancel() inst.bladeglowtask = nil end	
end

local function fn(colour)
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
	inst.entity:AddLight()
    inst.entity:AddNetwork()
	
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("devastator")
    inst.AnimState:SetBuild("devastator")
    inst.AnimState:PlayAnimation("idle", true)
    inst.AnimState:SetBloomEffectHandle("shaders/anim.ksh")

    inst.Light:SetFalloff(0.8)
    inst.Light:SetIntensity(0.9)
    inst.Light:SetRadius(4.4)
    inst.Light:SetColour(225/255, 1/255, 1/255)
    inst.Light:Enable(true)
	
	inst:AddTag("lightbattery")

    if not TheWorld.ismastersim then return inst end
	
    inst.entity:SetPristine()
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "devastator"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/devastator.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
	inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP, 4)
	inst.components.tool:SetAction(ACTIONS.MINE, 2)
	
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(0.1)
	inst.components.weapon:SetRange(0.1)
	
    inst:AddComponent("inspectable")
	
	if TUNING.OP == 1 then --op
	
    	inst.components.weapon:SetDamage(178)
		inst.components.weapon:SetRange(5)
	
		local function onattack(inst, owner, target)
    	if owner.components.health ~= nil and owner.components.health:GetPercent() < 1 and not target:HasTag("wall") then
    	owner.components.health:DoDelta(178, false)
		owner.components.hunger:DoDelta(78, false)
    	end
    	end
    	inst.components.weapon.onattack = onattack
		
	elseif TUNING.OP == 2 then -- not op
	
  		inst.components.weapon:SetDamage(47)
		inst.components.weapon:SetRange(3)
	
		local function onattack(inst, owner, target)
   	 	if owner.components.health ~= nil and owner.components.health:GetPercent() < 1 and not target:HasTag("wall") then
   	 	owner.components.health:DoDelta(27, false)
		owner.components.hunger:DoDelta(17, false)
   		end
    	end
    	inst.components.weapon.onattack = onattack
		
	end

    return inst
end

return Prefab("common/inventory/devastator", fn, assets, prefabs)